glab(1)

NAME
glab-cluster-graph - Query Kubernetes object graph using GitLab Agent for Kubernetes. (EXPERIMENTAL)

SYNOPSIS
glab cluster graph [flags]

DESCRIPTION
This commands starts a web server that shows a live view of Kubernetes objects graph in a browser. It works via the GitLab Agent for Kubernetes running in the cluster. The minimum required GitLab and GitLab Agent version is v18.1.

This command only supports personal and project access tokens for authentication. The token should have at least the Developer role and the read_api and k8s_proxy scopes.

This feature is experimental. It might be broken or removed without any prior notice. Read more about what experimental features mean at ⟨https://docs.gitlab.com/policy/development_stages_support/⟩

Use experimental features at your own risk.

OPTIONS
-a, --agent=0
    The numerical Agent ID to connect to.

--listen-addr="localhost:0"
    Address to listen on.

--listen-net="tcp"
    Network on which to listen for connections.

--stdin[=false]
    Read watch request from standard input.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

SEE ALSO
glab-cluster(1)